commit:     94532f834cf1c7c9dea70e6da0655c46dcd95e2a
Author:     Thibaud CANALE <thican <AT> thican <DOT> net>
AuthorDate: Sun Nov  2 23:16:33 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Mar  7 01:11:24 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94532f83

mate-base/mate-panel: add 1.28.7

Closes: https://bugs.gentoo.org/970480
Signed-off-by: Thibaud CANALE <thican <AT> thican.net>
Part-of: https://github.com/gentoo/gentoo/pull/45856
Closes: https://github.com/gentoo/gentoo/pull/45856
Signed-off-by: Sam James <sam <AT> gentoo.org>

 mate-base/mate-panel/Manifest                 |  2 +
 mate-base/mate-panel/mate-panel-1.28.7.ebuild | 97 +++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/mate-base/mate-panel/Manifest b/mate-base/mate-panel/Manifest
index 6454f99f9c33..eb43e08cda3a 100644
--- a/mate-base/mate-panel/Manifest
+++ b/mate-base/mate-panel/Manifest
@@ -1,2 +1,4 @@
 DIST mate-panel-1.28.1.tar.xz 3282404 BLAKE2B 
54a60c8fdf319ebe8678963faaeb6f93a1e60cb9ee43ed32896a04f1bdbcfc89d1b0696500948d334827d4d73d5373c748e53349c47559389ba2e4f51d31270a
 SHA512 
50ecb7a3006e989c7e51ece72ef0f2ce0e1fec84844b97281e07f9f4b1005e3b81870d7bca882a453225e69db109a344e6fe80a12d2c4cdc54ef5d87fee68a7c
 DIST mate-panel-1.28.4.tar.xz 3240648 BLAKE2B 
2db3962071eca43e29b4687988819de5777d753abea3b6087d3ff588c7db6f0305986943abebd700bdc3d0d6ddc6c8531debbbafdad92fad8ece48e8d906e1a9
 SHA512 
2a58c39c9b8b736e8c0e4623cdc7b84eaeb44bcd79299b18d20f69f4c06606ca07b502626c6502b5edf0586794977dba6757eb800ddc7e9bb532a5ec2a4b237a
+DIST mate-panel-1.28.7.gh.tar.gz 4704258 BLAKE2B 
a583a3f61519532832de65199965925e3fbcb5c90a22442922b9f9357f100c692266d51e39139fbfc3b56838e435cd0c8ed02f2f098311c927dc924a30e23699
 SHA512 
ffed357b06d41525a89037ae1ed47ed33a37404ad36205efbc6929b39d13a8af226611b856064e5cfe0553f6036df2a81075988437ee0bf5f7fa61a1ebe19692
+DIST mate-submodules-dd9bd3436f2cb6410b04eefbd69306d93cd07b30.gh.tar.gz 33531 
BLAKE2B 
2bf2df8d0247011052365bb7a4193a561ad91d97ad67da72d7e90b19c0f8e98c95778c6b3cd1daa8e666346af7d506270c91df19a28987e32d1816d554ef1511
 SHA512 
0c9bc7d08d5fd47869b0adeb17f1a41cc13cc41f950f300da397a3684ee8700e313b61de21d3ac370cbc07ad1bc13d525664d7976fc4f53a38e9e67f27790f47

diff --git a/mate-base/mate-panel/mate-panel-1.28.7.ebuild 
b/mate-base/mate-panel/mate-panel-1.28.7.ebuild
new file mode 100644
index 000000000000..d2db31f49c7b
--- /dev/null
+++ b/mate-base/mate-panel/mate-panel-1.28.7.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MATE_LA_PUNT="yes"
+
+MATE_FORCE_AUTORECONF=true
+inherit mate
+
+MATE_SUBMODULES_ID="dd9bd3436f2cb6410b04eefbd69306d93cd07b30"
+
+MINOR=$(($(ver_cut 2) % 2))
+if [[ ${MINOR} -eq 0 ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+       # Release archive not pushed in main website (?)
+       SRC_URI="
+               
https://github.com/mate-desktop/mate-panel/archive/refs/tags/v${PV}.tar.gz
+                       -> ${P}.gh.tar.gz
+               
https://github.com/mate-desktop/mate-submodules/archive/${MATE_SUBMODULES_ID}.tar.gz
+                       -> mate-submodules-${MATE_SUBMODULES_ID}.gh.tar.gz
+       "
+fi
+
+DESCRIPTION="The MATE panel"
+LICENSE="FDL-1.1+ GPL-2+ LGPL-2+"
+SLOT="0"
+
+IUSE="+X +introspection wayland"
+
+REQUIRED_USE="|| ( X wayland )"
+
+COMMON_DEPEND="
+       >=app-accessibility/at-spi2-core-2.46.0:2
+       >=dev-libs/glib-2.50:2
+       >=dev-libs/libmateweather-1.28.0
+       dev-libs/libxml2:2=
+       >=gnome-base/dconf-0.13.4
+       >=gnome-base/dconf-editor-43.0
+       >=mate-base/mate-desktop-$(ver_cut 1-2)
+       >=mate-base/mate-menus-1.28.0
+       >=sys-apps/dbus-1.1.2
+       >=x11-libs/cairo-1.0.0[X?]
+       >=x11-libs/gdk-pixbuf-2.26.0:2
+       >=x11-libs/gtk+-3.24.0:3[introspection?]
+       x11-libs/libICE
+       x11-libs/libSM
+       >=x11-libs/libwnck-43.0:3[introspection?]
+       >=x11-libs/pango-1.15.4:0[introspection?]
+       X? (
+               x11-libs/libX11
+               x11-libs/libXau
+               >=x11-libs/libXrandr-1.3
+       )
+       introspection? ( >=dev-libs/gobject-introspection-1.82.0-r2:= )
+       wayland? ( gui-libs/gtk-layer-shell )
+"
+
+RDEPEND="${COMMON_DEPEND}
+       virtual/libintl
+"
+
+DEPEND="${COMMON_DEPEND}"
+
+BDEPEND="
+       app-text/docbook-xml-dtd:4.1.2
+       app-text/yelp-tools
+       >=dev-lang/perl-5:=
+       dev-util/glib-utils
+       dev-util/gdbus-codegen
+       dev-util/gtk-doc
+       dev-build/gtk-doc-am
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+src_unpack() {
+       default
+
+       # Handle submodule manually
+       local submodule_path="${S}/mate-panel/mate-submodules"
+       rmdir "${submodule_path}" || die
+       mv "${WORKDIR}/mate-submodules-${MATE_SUBMODULES_ID}" 
"${submodule_path}" || die
+}
+
+src_configure() {
+       local myconf=(
+               --disable-deprecation-flags
+               $(use_enable X x11)
+               $(use_enable introspection)
+               $(use_enable wayland)
+       )
+
+       mate_src_configure \
+               --libexecdir="${EPREFIX}"/usr/libexec/mate-applets \
+               "${myconf[@]}"
+}

Reply via email to